org.icefaces.ace.event

## Class TreeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.BehaviorEvent
      - - javax.faces.event.AjaxBehaviorEvent
        - - org.icefaces.ace.event.TreeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TreeEvent
      extends javax.faces.event.AjaxBehaviorEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior, java.lang.Object object, java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObject()` Return the data object of the node involved in the event
    `boolean` | `isContractEvent()`
    `boolean` | `isDeselectEvent()`
    `boolean` | `isExpandEvent()`
    `boolean` | `isReorderEvent()`
    `boolean` | `isSelectEvent()`
    `void` | `setObject(java.lang.Object object)`

    - ### Methods inherited from class javax.faces.event.AjaxBehaviorEvent

      `isAppropriateListener, processListener`

    - ### Methods inherited from class javax.faces.event.BehaviorEvent

      `getBehavior`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeEvent

          public TreeEvent(javax.faces.component.UIComponent component,
                           javax.faces.component.behavior.Behavior behavior,
                           java.lang.Object object,
                           java.lang.String type)

  - ### Method Detail

    - #### getObject

          public java.lang.Object getObject()

      Return the data object of the node involved in the event
      Returns:
        Object data object of the node involved in the event

    - #### setObject

          public void setObject(java.lang.Object object)

    - #### isExpandEvent

          public boolean isExpandEvent()

    - #### isContractEvent

          public boolean isContractEvent()

    - #### isSelectEvent

          public boolean isSelectEvent()

    - #### isDeselectEvent

          public boolean isDeselectEvent()

    - #### isReorderEvent

          public boolean isReorderEvent()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.